Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZStatus Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id)
| getAll ()
| name ()
| setName ( $value)
| description ()
| setDescription ( $value)
| id ()

## Public Attributes
| $ID
| $Name
| $Description

## Detailed Description

! eZTodo The eZStatus handles the ToDo status information. (Done, not done)

Handles the to do status information stored in the database. All the todo's have this status.

Definition at line 35 of file ezstatus.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZStatus::__construct | ( |  | $id = `-1` | ) |

eZStatus Constructor.

Definition at line 40 of file ezstatus.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZStatus::delete | ( |  | ) |

Deletes the status object in the database.

Definition at line 86 of file ezstatus.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZStatus::description | ( |  | ) |

Description of the status. Returns the description of the status as a string.

Definition at line 166 of file ezstatus.php.

## ◆ get()

eZStatus::get | ( |  | $id | ) |

Gets a status object from the database, where ID == $id

Definition at line 98 of file ezstatus.php.

References $db, $id, $ret, $status_array, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZStatus::getAll | ( |  | ) |

Gets all the status informasjon from the database. Returns the array in $status_array ordered by name.

Definition at line 126 of file ezstatus.php.

References $db, $i, $status_array, and eZDB\globalDatabase().

## ◆ id()

eZStatus::id | ( |  | ) |

Id of the priority. Returns the id of the status as a string.

Definition at line 184 of file ezstatus.php.

References $ID.

## ◆ name()

eZStatus::name | ( |  | ) |

Tilte of the status. Returns the name of the status as a string.

Definition at line 148 of file ezstatus.php.

References Name.

## ◆ setDescription()

eZStatus::setDescription | ( |  | $value | ) |

Sets the description of the status. The new description of the status is passed as a paramenter ( $value ).

Definition at line 175 of file ezstatus.php.

## ◆ setName()

eZStatus::setName | ( |  | $value | ) |

Sets the name of the status. The new name of the status is passed as a paramenter ( $value ).

Definition at line 157 of file ezstatus.php.

References Name.

## ◆ store()

eZStatus::store | ( |  | ) |

Stores the status object to the database. Returnes the ID to the eZStatus object if the store is a success.

Definition at line 53 of file ezstatus.php.

References $db, $name, $res, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZStatus::$Description

Definition at line 191 of file ezstatus.php.

## ◆ $ID

eZStatus::$ID

Definition at line 189 of file ezstatus.php.

Referenced by __construct(), and id().

## ◆ $Name

eZStatus::$Name

Definition at line 190 of file ezstatus.php.

The documentation for this class was generated from the following file:

- ezstatus.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.